Attached you can find a patch for the init script. Hope this helps.
Harri
--- /etc/init.d/keepalived.orig 2009-05-28 11:20:36.000000000 +0200
+++ /etc/init.d/keepalived 2010-01-11 09:52:30.000000000 +0100
@@ -63,7 +63,7 @@
log_action_begin_msg "Restarting $DESC" "$NAME"
start-stop-daemon --stop --quiet --pidfile \
- /var/run/$NAME.pid --exec $DAEMON
+ /var/run/$NAME.pid --exec $DAEMON || true
sleep 1
if start-stop-daemon --start --quiet --pidfile \
/var/run/$NAME.pid --exec $DAEMON; then

